# API reference

The Reigent API & SDK is are powerful tools designed to interact with your Core powered Agent, enabling seamless integration for authentication, agent retrieval, and chat completions. This kit simplifies the process of connecting to the Reigent and utilizing its features.

### Authentication[​](https://docs.reisearch.box/docs/intro/#authentication) <a href="#authentication" id="authentication"></a>

A *REI Secret Token* is used to authenticate the requests. You can generate *Secret Token* on -INSERT LINK-

### Base URL[​](https://docs.reisearch.box/docs/intro/#base-url) <a href="#base-url" id="base-url"></a>

```
https://api.reisearch.box
```

[<br>](https://docs.reisearch.box/docs/category/reigent)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://0xreisearch.gitbook.io/0xreisearch/factory-and-core-api-sdk-cross-framework/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
